Subject: bug#24291: 25.1; display-time-world seems to ignore zoneinfo-style-world-list when display-time-mode is t

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Aug 2016 05:40:31 +0300

> From: [email-masked] (N. Jackson)
> Cc: [email-masked]
> Date: Wed, 24 Aug 2016 18:03:03 -0300
> 
> At 05:38 +0300 on Wednesday 2016-08-24, Eli Zaretskii wrote:
> 
> >> From: [email-masked] (N. Jackson)
> >> Cc: [email-masked]
> >> Date: Tue, 23 Aug 2016 16:39:21 -0300
> >> 
> >> I can't change the order because Customize puts its variables in
> >> alphabetical order.
> >
> > You can use setq instead.
> 
> Hi Eli,
> 
> I'm not clear what you're telling me here.
> 
> If you're saying that there is a workaround available to me, then thank
> you. Yes, indeed setq works.
> 
> If you are saying that there is no problem because the user can use
> setq instead of using Customize, then I think I disagree. To me it
> doesn't make sense for Emacs to have a variable that is "Customizable"
> if using Customize to set it doesn't work reliably.

Knowing me and my attitude towards Emacs, what do you think I'm
saying?